%global glib2_version 2.26.0

Name:			libnotify
Version:		0.8.1
Release:		3%{?dist}
Summary:		Desktop notification library
License:		LGPLv2+
URL:    		https://gitlab.gnome.org/GNOME/libnotify
Source0:		https://download.gnome.org/sources/libnotify/0.8/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	docbook-xsl-ns gtk-doc meson xmlto
BuildRequires:	/usr/bin/xsltproc
Requires:		glib2 >= %{glib2_version}

%description
libnotify is a library for sending desktop notifications to a notification
daemon, as defined in the freedesktop.org Desktop Notifications spec. These
notifications can be used to inform the user about an event or display some
form of information without getting in the user's way.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains libraries and header files needed for
development of programs using %{name}.

%prep
%autosetup

%build
%meson -Dtests=false
%meson_build

%install
%meson_install

%files
%license COPYING
%doc NEWS AUTHORS README.md
%{_bindir}/notify-send
%{_libdir}/libnotify.so.*
%{_libdir}/girepository-1.0/Notify-0.7.typelib
%{_mandir}/man1/notify-send.1*

%files devel
%doc %{_docdir}/libnotify/spec/
%dir %{_includedir}/libnotify
%{_includedir}/libnotify/*
%{_libdir}/pkgconfig/libnotify.pc
%dir %{_datadir}/gtk-doc/html/libnotify
%{_datadir}/gtk-doc/html/libnotify/*
%{_datadir}/gir-1.0/Notify-0.7.gir
%{_libdir}/libnotify.so

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 15 2022 Xiaojie Chen <jackxjchen@tencent.com> - 0.8.1-1
- Initial build
